{% extends 'site_base.html' %}
{% load static %}
{% load humanize %}
{% load crispy_forms_tags %}

{% block title %} Custom Inventory {% endblock %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        b.no-record {
            line-height: 1.2;
            font-size: 16px;
            float: right;
            margin: 3px 0 0;
            color: #067d06;
        }
        .order-detail{margin-top: 3%;}
        div#div-over {
            min-width: 100px;
            min-height: 100px;
            background: #ccc;
            display: none;
            top: 25px;
            right: 0;
        }
        .in-stock-feature {
            display: block;
            text-align: center;
            position: relative;
            cursor: pointer;
            font-weight: 700;
            font-size: 16px;
            color: green;
        }
        div.feature {
            position: absolute;
            background: #f7f7f7;
            top: 100%;
            left: 0;
            width: 100%;
            max-height: 48px;
            text-align: justify;
            overflow-y:scroll;
            z-index: 11;
            padding: 10px;
            animation: appear 350ms ease-in 1;
            border: 1px solid #dcd5d5;
            display:none;
        }
        @keyframes appear {
          0%{
            opacity: 0;
            transform: translateY(-7px);
          }
        }
    </style>

    <style>
        b.no-record {
            line-height: 1.2;
            font-size: 16px;
            float: right;
            margin: 3px 0 0;
            color: #067d06;
        }
        .success {color: green !important;}
        .warning {color: orange !important;}
        .danger {color: red !important;}
    </style>
    <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
    <link rel="stylesheet" href="{% static 'css/jquery.toast.css' %}">
{% endblock %}

{% block content %}

    <section class="content-header col-content" style="position: static;top: 0px;left: 0px;width: 100%;margin-top: -3%;">
        <div class="col-xs-12 col-sm-2 col-md-2 text-center" style="float: right; padding-bottom: 10px;">
            <a onclick="return advance();" href="javascript:void(0);" >Advance Search</a>
        </div>
        <form method="GET">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12 col-customer">
                    <div class="row">
                        <div class="col-xs-12 col-sm-2 col-md-2">
                            <select class="categer-select ddl" name="warehouse" id="warecode">
                                <option value="all">All</option>
                                {% for obj in ware %}
                                    <option {% if obj.warehouse_code == varWare %}selected{% endif %} value="{{obj.warehouse_code}}">{{obj.warehouse_code}}</option>
                                {% endfor %}
                            </select>
                        </div>

                        <div class="col-xs-12 col-sm-2 col-md-2">
                            <select class="categer-select ddl" name="first" id="ddlSelect_1">
                                <option value="all">All</option>
                                {% for obj in one %}
                                    <option {% if obj.name == varOne %}selected{% endif %} value="{{obj.name}}">{{obj.name}}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2">
                            <select class="categer-select ddl" name="second" id="ddlSelect_2">
                                <option value="all">All</option>
                                {% for obj in two %}
                                    <option {% if obj.name == varTwo %}selected{% endif %} value="{{obj.name}}">{{obj.name}}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2">
                            <select class="categer-select ddl" name="third" id="ddlSelect_3">
                                <option value="all">All</option>
                                {% for obj in three %}
                                    <option {% if obj.name == varThree %}selected{% endif %} value="{{obj.name}}">{{obj.name}}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2" id="fourthdiv">
                            <select class="categer-select ddl" name="four" id="ddlSelect_4">
                                <option value="all">All</option>
                                {% for obj in four %}
                                    <option {% if obj.name == varFour %}selected{% endif %} value="{{obj.name}}">{{obj.name}}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2" id="fifthdiv">
                            <select class="categer-select ddl" name="five" id="ddlSelect_5">
                                <option value="all">All</option>
                                {% for obj in five %}
                                    <option {% if obj.name == varFive %}selected{% endif %} value="{{obj.name}}">{{obj.name}}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div><br>

                    <div class="row" id="advance" style="display: none; padding-bottom: 10px;">
                        <div class="col-xs-12 col-sm-2 col-md-2" id="warecodediv">
                            <input type="checkbox" name="Sealable" value="Sellable" id="Sealable"><label for="Sealable">Sellable</label>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2" id="firstdiv">
                            <input type="checkbox"  name="nonSealable" value="NonSellable" id="nonSealable"><label for="nonSealable">Non Sellable</label>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2" id="seconddiv">
                            <input type="checkbox"   name="inStock" value="in Stock" id="inStock"><label for="inStock">Stock in</label>
                        </div>
                        <div class="col-xs-12 col-sm-2 col-md-2" id="thirddiv">
                            <input type="checkbox" name="outstock"  value="Out Stock" id="outstock">
                            <label for="outstock"> Stock Out</label>
                        </div>
                    </div>

                    <div class="col-xs-12 col-sm-2 col-md-2 text-center" style="float: right;">
                        <button type="submit" class="filter-btn">Search</button>
                    </div>

                    <div class="col-xs-12 col-sm-12 col-md-12 product-heding">
                        <h2 style="margin: -12px 0 0px 0;">Products</h2>
                        {% if search_record %}
                            <b class="no-record">{{search_record}}</b>
                        {% endif %}
                    </div>
                </div>
            </div>
        </form>
    </section>

    <!-- Main content -->
    <section class="content">
        <input type="hidden" name="firstobj" id="firstobj" value="{{varfirst}}">
        <input type="hidden" name="secondobj" id="secondobj" value="{{varsecond}}">
        <input type="hidden" name="thirdobj" id="thirdobj" value="{{varthird}}">
        <input type="hidden" name="fourobj" id="fourobj" value="{{varfour}}">
        <input type="hidden" name="fiveobj" id="fiveobj" value="{{varfive}}">
        <input type="hidden" name="sealableobj" id="sealableobj" value="{{Salable}}">
        <input type="hidden" name="nonsealableobj" id="nonsealableobj" value="{{nonSalable}}">
        <input type="hidden" name="instockobj" id="instockobj" value="{{inStock}}">
        <input type="hidden" name="outstockobj" id="outstockobj" value="{{outStock}}">
        <input type="hidden" name="warecodeobj" id="warecodeobj" value="{{varWare}}">

        <div class="order-content-wrapper">
            <div class="row">
                {% for item in products %}
                <div class="col-xs-12 col-sm-3 col-md-3">
                    <div class="order-figger">
                        <figure class="samsung-figger samsung-text" style="font-size: 24px;">
                            {{item.sku_code}}
                        </figure>
                        <div class="order-detail" style="margin-top: 3%;">
                            <h5>{{item.category}}</h5>
                            <h5>Color: {{item.color}}, Size/Unit: {{item.size}} {{item.size_unit|title}} </h5>
                            <h5>MRP: <span class="price">₹ {{item.mrp|floatformat:2|intcomma}}</span>,
                                DP: <span class="dp-price">₹ {{item.dp|floatformat:2|intcomma}}</span>
                            </h5>
                            <a href="javascript:void(0);" class="in-stock {{item.x_class}}">
                                {{item.stock_type}}({{item.total|floatformat:"0"}})
                            </a>

                            <a class="in-stock-feature">
                                Features
                                <div class="feature" id="over_{{forloop.counter}}">
                                    <p>{{item.description}}</p>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
                {% endfor %}
            </div>
            <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
            <script type="text/javascript" src="{% static 'js/jquery.toast.js' %}"></script>
        </div>
    </section><!-- /.content -->


{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function(){

            $(document).on('mouseover', '.in-stock-feature', function() {

                var description = $(this).children('div').children('p').text().trim();
                if(description != "" && description != null && description != undefined && description != "None") {
                    var div_id = this.children[0].id;
                    $("#" + div_id).show();
                }
            })

            $(document).on('mouseout', '.in-stock-feature', function() {
                var div_id = this.children[0].id;
                $("#" + div_id).hide();
            })
        })
    </script>

    <script>
        $(document).ready(function(){

            $('[id^="ddlSelect_"]').change(function(){

                <!--var index = this.id.split('_')[1];-->
                <!--var value = $(this).val();-->

                <!--if(index == '2' && value == '') {-->
                    <!--index = '1';-->
                    <!--value = $('#ddlSelect_1').val();-->
                <!--}-->
                <!--else if(index == '3' && value == '') {-->
                    <!--index = '2';-->
                    <!--value = $('#ddlSelect_2').val();-->
                <!--}-->
                <!--else if(index == '4' && value == '') {-->
                    <!--index = '3';-->
                    <!--value = $('#ddlSelect_3').val();-->
                <!--}-->
                <!--else if(index == '5' && value == '') {-->
                    <!--index = '4';-->
                    <!--value = $('#ddlSelect_4').val();-->
                <!--}-->
                <!--else if(index == '5' && value != '') {-->
                    <!--index = '5'-->
                <!--}-->
                <!--else if(index == '4' && value != '') {-->
                    <!--index = '4'-->
                <!--}-->
                <!--else if(index == '3' && value != '') {-->
                    <!--index = '3'-->
                <!--}-->
                <!--else if(index == '2' && value != '') {-->
                    <!--index = '2'-->
                <!--}-->
                <!--else if(index == '1' && value != '') {-->
                    <!--index = '1'-->
                <!--}-->
                <!--else {-->
                    <!--index = '1'-->
                    <!--value = 0-->
                <!--}-->

                <!--$.ajax({-->
                    <!--type:'get',-->
                    <!--url:'/user/get_all_product_category?index='+index+'&value='+value,-->
                    <!--success: function(res){-->
                        <!--if(index == '1'){-->
                            <!--var optionlist1 = "<option value=''>All</option>";-->
                            <!--var optionlist2 = "<option value=''>All</option>";-->
                            <!--var optionlist3 = "<option value=''>All</option>";-->
                            <!--var optionlist4 = "<option value=''>All</option>";-->

                            <!--$.each(res['list1'], function (index, d) {-->
                                <!--optionlist1 += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_2').html(optionlist1);-->

                            <!--$.each(res['list2'], function (index, d) {-->
                                <!--optionlist2 += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_3').html(optionlist2);-->

                            <!--$.each(res['list3'], function (index, d) {-->
                                <!--optionlist3 += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_4').html(optionlist3);-->

                            <!--$.each(res['list4'], function (index, d) {-->
                                <!--optionlist4 += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_5').html(optionlist4);-->
                        <!--}-->
                        <!--else if (index == '2'){-->
                            <!--var optionlist3 = "<option value=''>All</option>";-->
                            <!--var optionlist4 = "<option value=''>All</option>";-->
                            <!--var optionlist5 = "<option value=''>All</option>";-->

                            <!--$.each(res['list1'], function (index, d) {-->
                                <!--optionlist3 += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_3').html(optionlist3);-->

                            <!--$.each(res['list2'], function (index, d) {-->
                                <!--optionlist4 += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_4').html(optionlist4);-->

                            <!--$.each(res['list3'], function (index, d) {-->
                                <!--optionlist5 += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_5').html(optionlist5);-->
                        <!--}-->
                        <!--else if (index == '3'){-->
                            <!--var optionlist4 = "<option value=''>All</option>";-->
                            <!--var optionlist5 = "<option value=''>All</option>";-->

                            <!--$.each(res['list1'], function (index, d) {-->
                                <!--optionlist4 += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_4').html(optionlist4);-->

                            <!--$.each(res['list2'], function (index, d) {-->
                                <!--optionlist5 += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_5').html(optionlist5);-->
                        <!--}-->
                        <!--else if (index == '4'){-->
                            <!--var optionlist5 = "<option value=''>All</option>";-->

                            <!--$.each(res['list1'], function (index, d) {-->
                                <!--optionlist5 += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_5').html(optionlist5);-->
                        <!--}-->
                        <!--else{-->
                            <!--$.each(res['list1'], function (index, d) {-->
                                <!--$('#ddlSelect_4 option[value="' + d.name + '"]').attr("selected", true);-->
                            <!--});-->
                        <!--}-->
                    <!--}-->
                <!--});-->

                var index = this.id.split('_')[1];
                var value = $(this).val().trim();

                if(index == '1' && value == 'all'){
                    index = '0';
                }
                else if(index == '2' && value == 'all'){
                    index = '1';
                    value = $('#ddlSelect_1').val();
                }
                else if(index == '3' && value == 'all'){
                    index = '2';
                    value = $('#ddlSelect_2').val();
                }
                else if(index == '4' && value == 'all'){
                    index = '3';
                    value = $('#ddlSelect_3').val();
                }
                else if(index == '5' && value == 'all'){
                    index = '4';
                    value = $('#ddlSelect_4').val();
                }

                // console.log('index: ' + index)
                // console.log('value: ' + value)

                $.ajax({
                    type:'get',
                    url:'/user/get_product_all_category?index='+index+'&value='+value,
                    success: function(res) {
                        if(index == '0')
                            index = '1'

                        if(index == '1'){
                            var optionlist2 = "<option value='all'>All</option>";
                            var optionlist3 = "<option value='all'>All</option>";
                            var optionlist4 = "<option value='all'>All</option>";
                            var optionlist5 = "<option value='all'>All</option>";

                            $.each(res['list2'], function (index, d) {
                                optionlist2 += "<option value='" + d.name + "'>" + d.name + "</option>";
                            });
                            $('#ddlSelect_2').html(optionlist2);

                            $.each(res['list3'], function (index, d) {
                                optionlist3 += "<option value='" + d.name + "'>" + d.name + "</option>";
                            });
                            $('#ddlSelect_3').html(optionlist3);

                            $.each(res['list4'], function (index, d) {
                                optionlist4 += "<option value='" + d.name + "'>" + d.name + "</option>";
                            });
                            $('#ddlSelect_4').html(optionlist4);

                            $.each(res['list5'], function (index, d) {
                                optionlist5 += "<option value='" + d.name + "'>" + d.name + "</option>";
                            });
                            $('#ddlSelect_5').html(optionlist5);
                        }
                        else if(index == '2'){
                            var optionlist3 = "<option value='all'>All</option>";
                            var optionlist4 = "<option value='all'>All</option>";
                            var optionlist5 = "<option value='all'>All</option>";

                            $.each(res['list3'], function (index, d) {
                                optionlist3 += "<option value='" + d.name + "'>" + d.name + "</option>";
                            });
                            $('#ddlSelect_3').html(optionlist3);

                            $.each(res['list4'], function (index, d) {
                                optionlist4 += "<option value='" + d.name + "'>" + d.name + "</option>";
                            });
                            $('#ddlSelect_4').html(optionlist4);

                            $.each(res['list5'], function (index, d) {
                                optionlist5 += "<option value='" + d.name + "'>" + d.name + "</option>";
                            });
                            $('#ddlSelect_5').html(optionlist5);
                        }
                        else if (index == '3'){
                            var optionlist4 = "<option value='all'>All</option>";
                            var optionlist5 = "<option value='all'>All</option>";

                            $.each(res['list4'], function (index, d) {
                                optionlist4 += "<option value='" + d.name + "'>" + d.name + "</option>";
                            });
                            $('#ddlSelect_4').html(optionlist4);

                            $.each(res['list5'], function (index, d) {
                                optionlist5 += "<option value='" + d.name + "'>" + d.name + "</option>";
                            });
                            $('#ddlSelect_5').html(optionlist5);
                        }
                        else if (index == '4'){
                            var optionlist5 = "<option value='all'>All</option>";

                            $.each(res['list5'], function (index, d) {
                                optionlist5 += "<option value='" + d.name + "'>" + d.name + "</option>";
                            });
                            $('#ddlSelect_5').html(optionlist5);
                        }
                        else{
                            $.each(res['list1'], function (index, d) {
                                $('#ddlSelect_2 option[value="' + d.name + '"]').attr("selected", true);
                            });
                        }
                    }
                });
            });

            // var warecodeobj=$('#warecodeobj').val();
            // var first=$('#firstobj').val();
            // var second=$('#secondobj').val();
            // var third=$('#thirdobj').val();
            // var four=$('#fourobj').val();
            // var five=$('#fiveobj').val();
            var sealableobj=$('#sealableobj').val();
            var nonsealableobj=$('#nonsealableobj').val();
            var instockobj=$('#instockobj').val();
            var outstockobj=$('#outstockobj').val();
            // if (warecodeobj!='' && warecodeobj!=undefined){
                // $('#warecode').val(warecodeobj).attr('selected',true)
            // }
            <!--if (first!='' && first!=undefined){-->
                <!--$('#first_1').val(first).attr('selected',true)-->
            <!--}-->
            <!--if (second!='' && second!=undefined){-->
                <!--$('#second_2').val(second).attr('selected',true)-->
            <!--}-->
            <!--if (third!='' && third!=undefined){-->
                <!--$('#ddlSelect_1').val(third).attr('selected',true)-->
            <!--}-->
            <!--if (four!='' && four!=undefined){-->
                <!--$('#ddlSelect_2').val(four).attr('selected',true)-->
            <!--}-->
            <!--if (five!='' && five!=undefined){-->
                <!--$('#ddlSelect_3').val(five).attr('selected',true)-->
            <!--}-->
            if ((sealableobj!='' && sealableobj!=undefined && sealableobj != 'None') || (nonsealableobj!='' && nonsealableobj!=undefined && nonsealableobj != 'None') || (instockobj!='' && instockobj!=undefined && instockobj != 'None') || (outstockobj!='' && outstockobj!=undefined && outstockobj != 'None')){
                $('#advance').css('display','block');
                if (sealableobj!='' && sealableobj!=undefined && sealableobj != 'None'){
                    $('#Sealable').attr('checked',true)
                }
                if (nonsealableobj!='' && nonsealableobj!=undefined && nonsealableobj != 'None'){
                    $('#nonSealable').attr('checked',true)
                }
                if (instockobj!='' && instockobj!=undefined && instockobj != 'None'){
                    $('#inStock').attr('checked',true)
                }
                if (outstockobj!='' && outstockobj!=undefined && outstockobj != 'None'){
                    $('#outstock').attr('checked',true)
                }
            }
        });

        function advance(){
           // $('#advance').css('display', 'block');
           $('#advance').toggle('slow');
        }
    </script>
{% endblock %}